﻿# This is the script file for Builders' Mind, open-sourced for personal use only.  Please do not redistribute modified code unless you have permission from the author.
    
    
label start:

    $ WalkAbout = False
    $ AppealToFanclub = 0
    $ RohitPauloCameo = False
    $ HirayaExpertise = 0
    $ SuccessProject = False
    $ LoveWithPhilip = 0
    $ TogetherPhilip = False
    $ Ending = 0
    $ save_name = "Arrival"
    
    play music("vinrun_part1.ogg", "vinrun_part2.ogg", "vinrun_part2.ogg", "vinrun_part2.ogg", "vinrun_part2.ogg")
    scene white
    show text "{color=#000000}Builders' Mind{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    show text "{color=#000000}Story and Art by DaFool{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)   
    show text "{color=#000000}Music composed by DaFool{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)       
    show text "{color=#000000}Additional composing and performance by Alessio{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)       
    show text "{color=#000000}Ren'py Engine by PyTom{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)   
    show text "{color=#000000}Scene 1: Arrival{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene port
    show shiftingwaves
    narrator "It is to be another uneventful day in the tiny island town of Angelitas."
    narrator "A large Galleon docks on the main port."
    narrator "A confident lady steps out."
    show sprite ashleysmiling at posashley
    ashley "Hmmm...  I wonder if he's expecting me?"
    ashley "Knowing him...  he will most probably be surprised."
    hide sprite ashleysmiling
    narrator "With a bounce, Ashley Park makes her way through the narrow streets."
    show crate at poscrate
    narrator "An unusually large crate is offloaded from the Galleon onto the platform."
    narrator "A porter comes by, inspects the label, and hauls it off in a cart."
    hide crate with Dissolve(1.0)
    scene white
    show text "{color=#000000}Scene 2: Classroom{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene university
    $ save_name = "Classroom"
    narrator "Professor Phineas Lucas is teaching a lecture in a small classroom."
    show sprite phineasnormal at posphineas
    phineas "Alright, class.  I am now handing back your exams.  As expected, you all did very poorly."
    hide sprite phineasnormal
    narrator "The class groans."
    show sprite phineasnormal at posphineas
    phineas "But of course, I will scale your grades."
    hide sprite phineasnormal
    narrator "The class cheers."
    show sprite phineasnormal at posphineas
    phineas "The highest grade will be assigned an A.  The highest grade was 39/100."
    phineas "Miss Jurado..."
    hide sprite phineasnormal
    narrator "The class all turns to look at the addressed, who is seated beside three young men."
    show sprite hirayashocked at poshiraya
    hiraya "..."
    hiraya "M-Me?"
    show sprite philipcool at posphilip
    philip "Way to go, Hiraya!"
    show sprite rohitcheerful at posrohit
    rohit "She's good!"
    show sprite paulohappy at pospaulo
    paulo "What are you waiting for?  Get your papers!"
    show sprite phineasnormal at posphineas
    phineas "I am handing out your exam papers in descending order, starting from the highest grade."
    phineas "Marcus..."
    hide sprite phineasnormal
    narrator "A young man stands up in the far corner of the room and starts making his way."
    show sprite hirayahappy at poshiraya
    narrator "Hiraya receives her returned exam and is smiling on her way back to her seat."
    show sprite phineasnormal at posphineas
    phineas "I am not picking on the ones to be called on last, it's just that I couldn't be bothered to rearrange the papers after I did the scaling."
    show sprite rohitcheerful at posrohit
    rohit "Way to go Professor."
    show sprite phineasnormal at posphineas
    phineas "Jennifer..."
    hide sprite phineasnormal
    narrator "A young woman comes over from the far side."
    show sprite phineasnormal at posphineas
    phineas "Philip..."
    show sprite philipavoid at posphilip
    narrator "Philip nonchalantly retrieves his test papers, trying to avoid eye contact with the professor."
    show sprite paulohappy at pospaulo
    paulo "I guess if you're the professor's son, it's impossible to perform terribly."
    show sprite phineasnormal at posphineas
    phineas "George..."
    scene white
    show text "{color=#000000}Much, much later...{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene university    
    show universitydusk
    with Dissolve(2.0)
    show sprite phineasnormal at posphineas
    phineas "And finally, tying at an impressive five points each, Rohit and Paulo..."
    hide sprite phineasnormal
    narrator "The class looks at the pair beside Philip and Hiraya."
    show sprite rohitdepressed at posrohit
    narrator "Rohit shoots straight up from his seat, letting the seat tumble to the ground."
    show sprite pauloworried at pospaulo
    narrator "After a few seconds, Paulo slowly gets up."
    show sprite phineasangry at posphineas
    phineas "It is with sarcasm that I say this...''Congratulations.''"
    show sprite hirayasad at poshiraya
    menu amenu:
        "What should Hiraya do?"
        "Show support for Paulo and Rohit.":
            $ AppealToFanclub += 1
            hide sprite hirayasad
            narrator "Hiraya pats Paulo on the back."
            show sprite hirayahappy at poshiraya
            hiraya "There, there."
            show sprite rohitdepressed at posrohit
            narrator "Rohit acts out a feeling of total desolation."
            show sprite hirayasadhappy at poshiraya
            narrator "Hiraya puts a hand on Rohit's shoulder."
            show sprite pauloworried at pospaulo
            paulo "We will try better next time, sir."
            show sprite rohitdepressed at posrohit
            narrator "Rohit nods.  The two slowly venture to collect their papers."
            hide sprite rohitdepressed
        "Act cute and giggle at the absurdity of it all.":
            $ LoveWithPhilip += 1
            show sprite hirayahappyblushing at poshiraya
            narrator "Hiraya covers her mouth to stifle the amusement coming out of it."
            show sprite philipfriendly at posphilip
            narrator "Philip looks up at Hiraya in surprise, then smiles."
            show sprite paulohappy at pospaulo
            paulo "Yes I believe we deserve this..."
            hide sprite paulohappy
            narrator "Rohit mumbles."
            show sprite rohitdepressed at posrohit
            rohit "Although we really did try our best."
            hide sprite rohitdepressed
        "Do Nothing.":      
            show sprite rohitcheerful at posrohit
            rohit "Victory...  is ours!"
            show sprite pauloworried at pospaulo
            paulo "From this experience... we will become better Builders."
            hide sprite pauloworried
    narrator "The professor waves the last papers at the pair."
    show sprite phineasnormal at posphineas
    phineas "I'm waiting~.  We still have lecture after this."
    phineas "Remember, no matter how terribly you did in this last test, as long as you figure out what you did wrong, you can still do well in the Practicals two weeks from now."
    hide sprite phineasnormal
    narrator "The class groans."
    show sprite phineasnormal at posphineas
    phineas "Don't worry, after being subjected to my tests, the Practicals will be easy."
    hide sprite phineasnormal
    if (AppealToFanclub == 1):
        narrator "Hiraya whispers to Rohit and Paulo..."
        show sprite hirayahappy at poshiraya
        hiraya "If you need help, I'm willing to tutor you."
    scene white
    show text "{color=#000000}Scene 3: Package{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene philiphouse 
    $ save_name = "Package"
    narrator "The porter finally arrives at his destination and tries knocking at the door."
    show crate at poscrate with Dissolve(1.0)
    narrator "Seeing no one respond, he leaves the crate in front of the house."
    scene white
    show text "{color=#000000}Scene 4: Old Friends{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene machinery  
    show gears at RotoZoom(0, 360, 1, 1, 1, 1, rot_repeat=True, rot_anim_timebase=True, opaque=False, xalign=0.2, yalign=0.3)
    show gears2 at RotoZoom(0, 360, 1, 1, 1, 1, rot_repeat=True, rot_anim_timebase=True, opaque=False, xalign=0, yalign=0)
    $ save_name = "Old Friends"
    narrator "Ashley is preoccupied with the underground machinery."
    show sprite bertnormal at posbert
    bert "Um, Chief..."
    show sprite ashleyfrowning at posashley
    ashley "You're not being diligent.  There are a couple of items which I'd have to deduct points for."
    show sprite bertnormal at posbert
    bert "Ah, but..."
    show sprite ashleyfrowning at posashley
    ashley "You almost failed this inspection.  Look, why else would I personally come myself?"
    ashley "I could have just sent a technician.  But I take this job seriously.  Are you taking it seriously, Bert?"
    show sprite bertnormal at posbert
    bert "Yes, I am.  But see, there's the margin of error.  These machines were designed for twice their prescribed lifespan."
    bert "They were over-engineered, and in that I have confidence."
    show sprite ashleyfrowning at posashley
    ashley "We... can't fail.  We cannot overlook things."
    ashley "We are Builders.  When we make mistakes, people die."
    ashley "And this here... is life-support equipment."
    ashley "I knew you used to be sharp, Bert.  Very sharp.  What happened?"
    show sprite bertresigned at posbert
    bert "Uh, couple of things...uh, my wife died...uh..."
    show sprite ashleyfrowning at posashley
    ashley "That was two years ago!  Get over it!"
    show sprite ashleynormal at posashley
    ashley "Get remarried, have babies, send them all to engineering school!"
    ashley "Let our tiny sector of islands in the Confederacy achieve world technological domination for once!"
    hide sprite ashleynormal
    narrator "Bert looks away and down."
    show sprite ashleyfrowning at posashley
    ashley "Don't tell me... a relapse?"
    ashley "..."
    show sprite ashleynormal at posashley
    ashley "How's Hiraya?"
    show sprite bertnormal at posbert
    bert "She's doing well."
    hide sprite bertnormal
    narrator "Bert looks up to see Ashley with an outstretched arm, palm up."
    show sprite bertresigned at posbert
    bert "What?   Ah...yes, the inspection papers..."
    hide sprite bertnormal
    narrator "Bert hands the papers, which Ashley signs and hands them back by tapping Bert's shoulders with them."
    narrator "Finally Ashley stretches her arms and smiles at Bert."
    show sprite ashleysmiling at posashley
    ashley "So!  I'm hungry."
    scene white
    show text "{color=#000000}Scene 5: Good Company{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene vicinity
    $ save_name = "Good Company"
    narrator "A group of friends is going home after lectures."
    show sprite rohitcheerful at posrohit
    rohit "I so envy you."
    show sprite hirayahappy at poshiraya
    hiraya "Well..."
    show sprite paulohappy at pospaulo
    paulo "How do you do it...  do you just look at problems and then they solve themselves?"
    show sprite hirayadetermined at poshiraya
    hiraya "But I still didn't get the majority of answers correct."  
    show sprite philipcool at posphilip
    philip "Still, 40 percent... considering Professor's insane tests, that's an achievement!"
    show sprite rohitdepressed at posrohit
    rohit "I wish he'd give us a multiple-choice test once in a while."
    show sprite pauloworried at pospaulo
    paulo "I still have nightmares of Fourier Transforms."
    show sprite hirayadetermined at poshiraya
    hiraya "The thing is not to get intimidated.  Every problem can be broken down into smaller pieces, with smaller sets of equations."
    scene port with fade
    show shiftingwaves
    narrator "They arrive at a ferry terminal, close to the port where the Galleon is docked."
    show sprite rohitcheerful at posrohit
    rohit "Look at that thing, it's huge!"
    show sprite paulohappy at pospaulo
    paulo "A Manila Galleon, huh?  I guess our quaint little island is going to become a trading hub."
    show sprite philipfriendly at posphilip
    philip "By the way, I hear Chief would be arriving today."
    show sprite rohitcheerful at posrohit
    rohit "Chief?  Cool.  I always love it when she's around."
    show sprite hirayasadhappy at poshiraya
    hiraya "My father did mention something like that..."
    show sprite rohitcheerful at posrohit
    rohit "Yo, later people."
    show sprite hirayahappy at poshiraya
    hiraya "Take care."
    hide sprite hirayahappy
    narrator "Rohit and Paulo rush to the terminal to board a small ferry parked next to the behemoth."
    show sprite philipfriendly at posphilip
    narrator "Hiraya waits on Philip to get going, but he stays put and shuffles his feet."
    $ renpy.music.stop(fadeout=1.0)
    show sprite philipblushingfriendly at posphilip
    with Dissolve(1.0)
    philip "Uh...Hiraya?"
    show sprite hirayasadhappy at poshiraya
    hiraya "Yes, Philip?"
    show sprite philipblushing at posphilip
    philip "I know we've been friends for some time now... and classmates for even longer..."
    show sprite philipblushingfriendly at posphilip
    play music("birdie_snip.ogg")
    narrator "Philip starts to blush."
    show sprite philipblushing at posphilip
    philip "You're smart and sweet and...  I-I like you a lot."
    show sprite hirayashocked at poshiraya
    narrator "Hiraya starts to turn red as well."
    show sprite hirayashockedblush at poshiraya
    with Dissolve(1.0)
    hiraya "Eh?"
    menu bmenu:
        "What should Hiraya do?"
        "Listen to Philip patiently.":
            $ LoveWithPhilip += 1
            show sprite hirayablushing at poshiraya
            hiraya "..."
            hide sprite hirayablushing
            narrator "Seeing Hiraya attentive, Philip summons his courage and cuts right to the chase."
            show sprite philipblushingfriendly at posphilip
            philip "Will you be my girlfriend?"
            show sprite hirayablushing at poshiraya
            hiraya "..."
            show sprite philipblushing at posphilip
            narrator "Philip continues to twitch uneasily."
            show sprite hirayahappyblushing at poshiraya
            hiraya "I'll think about, it okay?"
            hide sprite hirayahappyblushing
            narrator "Hiraya tries to give a gentle smile, but ends up looking away."
            narrator "Hiraya gives a slight wave, turns, and walks away, leaving Philip to ponder the situation."
        "Run away.  Quick!  There are more important things, like studying.":  
            $ HirayaExpertise += 1
            hide sprite hirayashockedblush
            narrator "Hiraya goes into a fit of panic and sprints off,"
            narrator "Leaving Philip to ponder whether he made a fool of himself that day."
            show sprite hirayashockedblush at poshiraya
            hiraya "I just cannot have time for any of this."
            hide sprite hirayashockedblush
        "Reverse engineer his attempt at hitting on her.":  
            $ LoveWithPhilip += 1
            hiraya "..."
            hiraya "T-That definitely felt scripted!"
            show sprite philipshocked at posphilip
            philip "Huh?"
            show sprite hirayashockedblush at poshiraya
            hiraya "That's not how confessions go at all!"
            hide sprite hirayashockedblush
            narrator "Hiraya steels herself, pretending not to be affected."
            show sprite hirayablushing at poshiraya
            hiraya "You're supposed to say,"
            hide sprite hirayablushing
            narrator "Hiraya lowers her voice in an act of comedy."
            show sprite hirayadetermined at poshiraya
            hiraya "''S'up babe, why not you and me...let's hit the sack foo.''"
            hiraya "And then I'm supposed to scream,"
            hide sprite hirayadetermined
            narrator "Hiraya pauses to draw in her breath."
            show sprite hirayashockedblush at poshiraya
            hiraya "''You idiot!!!''"
            show sprite hirayablushing at poshiraya
            hiraya "And then I'm supposed to punch you and knock you out unconscious, after which I cry,"
            hiraya "''Are you alright?''"
            show sprite hirayahappyblushing at poshiraya
            hiraya "...but I'm not going to do that because I'm a nice girl."
            hide sprite hirayahappyblushing
            narrator "Hiraya hurriedly walks away, leaving Philip to ponder the situation."
    show sprite philipshocked at posphilip
    philip "Maybe she just needs more time to think things through."
    show sprite philipfriendly at posphilip
    narrator "Still, he is not too sure."
    if (LoveWithPhilip == 2):
        $ TogetherPhilip = True
    scene white
    show text "{color=#000000}Scene 6: Feelings{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene hirayahouse
    $ save_name = "Feelings"
    narrator "Hiraya is at home with her back to the door.  She takes a deep breath."
    show sprite hirayashockedblush at poshiraya
    hiraya "That idiot."
    hiraya "You can't just come up with something like that and expect a quick answer."
    show sprite hirayablushing at poshiraya
    hiraya "Then again, I have never really been the one to even consider initiating a love pursuit."
    hiraya "Maybe if the skirts were the ones giving chase instead of the other way around, I will look at things differently."
    scene white
    show text "{color=#000000}Scene 7: Surprise{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene philiphouse
    $ save_name = "Surprise"   
    show sprite philipshocked at posphilip
    philip "What the..."
    hide sprite philipshocked
    show crate at poscrate
    narrator "Philip sees the package in front of his house."
    hide crate
    show sprite philipfriendly at posphilip
    philip "Not that it isn't safe to just leave things in this small town, but still..."
    hide sprite philipfriendly
    show crate at poscrate
    narrator "Philip unlocks the door and struggles to push the crate inside."
    hide crate with Dissolve(0.5)
    narrator "Inside, he pushes the crate to the corner of the living room."
    show crate at poscrate with Dissolve(0.5)
    narrator "He stands back and takes in the entire package."
    hide crate
    show sprite philipfriendly at posphilip
    philip "''Total Entertainment Solution'', eh?"
    hide sprite philipfriendly
    narrator "Philip goes to fetch a hammer.  On the way he passes by the kitchen and notices a message."
    show sprite philipfriendly at posphilip
    philip "''Philip, tell your father I will be away on business until this weekend.''"
    philip "''This month's rent will be deducted from your allowance.  I can't wait till you graduate so you can get a job soon.''"
    philip "''Then you can move away.  You have to be a responsible individual, and plan for the future.''"
    show sprite philipblushingfriendly at posphilip
    philip "''Oh, and don't be such a geek.  Get a girlfriend.  Love, Mom.''"
    philip "Believe me, I am trying my best to become an adult, whatever that means."
    hide sprite philipblushingfriendly
    narrator "Philip retrieves a hammer from the garage."
    show crate at poscrate
    narrator "He begins removing the nails from the large crate."
    narrator "He pops open the lid, and then inside he sees..."
    hide crate
    show sprite philipshocked at posphilip
    philip "A girl?!"
    hide sprite philipshocked
    narrator "The girl stirs, having been awakened by the loud thud made by the crate lid hitting the floor."
    show sprite mayumishy at posmayumi
    mayumipre "Are we there yet?"
    hide sprite mayumishy
    narrator "The girl seems to recall something and suddenly lurches out of the crate, knocking Philip to the floor."
    scene philiphouse with vpunch
    narrator "She loses her balance, tripping over the crate and falling on top of Philip."
    scene philiphouse with vpunch
    show sprite philipblushing at posphilip
    philip "..."
    show sprite mayumishy at posmayumi
    mayumipre "..."
    show sprite mayumicheerful at posmayumi
    with Dissolve(1.0)
    mayumipre "Hello!"
    show sprite philipblushingfriendly at posphilip
    philip "Uh, hi?"
    show sprite mayumicheerful at posmayumi
    mayumipre "My name is Mayumi Lee.  This is the Lucas residence, I presume?"
    show sprite philipblushing at posphilip
    philip "What...eh...yeah, yes."
    show sprite mayumicheerful at posmayumi
    mayumi "And you are?"
    show sprite philipblushing at posphilip
    philip "P-Philip."
    show sprite mayumishy at posmayumi
    mayumi "Great!  I have finally met my husband-to-be."
    show sprite philipshocked at posphilip
    philip "!!!"
    show sprite philipblushing at posphilip
    with Dissolve(1.0)
    philip "H-husband?"
    show sprite mayumicheerful at posmayumi
    narrator "Mayumi grins sheepishly."
    mayumi "O~ Husband, dearest!"
    scene white
    show text "{color=#000000}Scene 8: Conference{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene university
    $ save_name = "Conference"
    narrator "Ashley, Phineas, and Bert are seated in a conference room."
    show sprite ashleynormal at posashley
    ashley "So how are our new batch of candidates for graduation?"
    show sprite phineasnormal at posphineas
    phineas "They're the best students I've had in a long time.  Despite my tortuous method of teaching, they have exceeded my expectations."
    phineas "I can't wait until I administer their Practicals two weeks from now."
    show sprite bertresigned at posbert
    bert "I think with such new talent, you must be confident that the future of the Confederacy is secured." 
    show sprite ashleynormal at posashley
    ashley "I suppose there is nothing for me to worry about, true.  With better Builders, we will have better societies."
    show sprite phineasnormal at posphineas
    phineas "Rest assured, Chief."
    show sprite ashleynormal at posashley
    ashley "To be honest, I didn't think our technocracy could last this long.  The track record for empire-based civilizations has been pretty abysmal."
    show sprite phineasnormal at posphineas
    phineas "Although we are actively limiting its spread of effects."
    show sprite bertmad at posbert
    $ renpy.music.stop(fadeout=1.0)
    bert "The sustainable techniques are commendable, but they are not enough.  In the end, nothing's worth it."
    show sprite phineasangry at posphineas
    phineas "Bert, is something the matter?  Your recent attitude is getting annoying."
    show sprite ashleyfrowning at posashley
    ashley "He's been like that ever since I arrived... perhaps even before, I don't know."
    show sprite phineasangry at posphineas
    phineas "Bert, just say what you have to say."
    hide sprite phineasangry
    narrator "An uncomfortable silence hangs over the room, until finally Bert makes a motion."
    play music("uncert_snip.ogg")
    show sprite bertnormal at posbert
    bert "You both know me as an Old-Worlder.  Perhaps it is just my experiences being carried over... my bad experiences."
    bert "This quest... to just build, and build.  To constantly increase production of goods and services... it bothers me."
    bert "It is exactly what led to catastrophe in the past."
    show sprite phineasnormal at posphineas
    phineas "But Bert, you know very well we do it differently now.  We not only harvest resources, we plant their replacements."
    phineas "We are not going to be making the same mistakes."
    show sprite bertmad at posbert
    bert "You don't get it.  The mistake is more fundamental.  The mistake is in the concept of civilization itself."
    hide sprite bertmad
    narrator "Phineas narrows his eyes.  Ashley concentrates her gaze on Bert."
    show sprite bertnormal at posbert
    bert "The moment humans drove a stake into the ground and declared ''We will settle and farm here'', that was the cause of it all."
    bert "The cause of all the wars, misery, and culture of exploitation this past millenia."
    bert "All it took was to have an attitude of ''This is my land.''  It doesn't take long to realize that ''That is my land as well.''"
    bert "And now look... now we humans have pillaged so much, that there is now hardly any land left."
    bert "The sea levels have risen, the polar ice caps have melted..." 
    bert "And then in a twist of fate, refroze, taking with them the habitable Northern hemispheres."
    bert "Phineas whose lineage came from Europe.  Ashley whose ancestors came from North Asia.  Both regions no more...  flooded, then frozen over."
    bert "And here we are in the Philippine peninsula trying to eek out a living.  While whatever country that used to be here has long ceased to exist."
    bert "You yourselves know very well what happened as they tell in history books."
    show sprite ashleyfrowning at posashley
    ashley "A population of nine billion people suddenly shrunk to a mere three hundred million in a span of only a hundred years."
    show sprite bertnormal at posbert
    bert "Before the catastrophic collapse occurred, there were many skeptics, many of whom believed in some ''unlimited God's bounty''."
    bert "I believe in God also, but I am also an engineer.  I also believe God is an engineer, who invented mathematics."
    bert "And according to mathematical law, exponential growth leads to collapse in a non-infinite system.  It is as simple as that."
    bert "For many centuries adherents of atheistic science battled followers of a God of faith and magic."
    bert "Well guess what?  We have a God of science, not a God of magic.  Believing all you can doesn't make a rock float."
    bert "A God who allows famines and great floods to occur, not because he is indifferent, but because famines and great floods are natural cycles."
    bert "And we ourselves are perpetuating this current vicious cycle of technological overdevelopment."
    hide sprite bertnormal
    narrator "A long pause, after which Phineas finally counters."
    show sprite phineasangry at posphineas
    phineas "So you want us to join the Nomads, is that it?  Feel free to join them if you wish!"
    phineas "They forsake civilization and technology, and live a hunter-gatherer lifestyle."
    phineas "And if you aren't aware already, they die hunter-gatherer deaths.  They are plagued by illnesses which were cured centuries ago."
    phineas "Simply because they refuse modern medicine!"
    phineas "While their men remain hard-headed, some of their women realized the folly of their ways and have immigrated to our society."
    phineas "We provide the more comfortable -- more humane lifestyle."
    phineas "Of course this gets them angry and they try waging wars against us."
    show sprite ashleyfrowning at posashley
    ashley "Bert, just look at them.  They don't practice settlement and yet they still exhibit aggression.  This disproves your theory that wars are tied with civilization."
    show sprite phineasangry at posphineas
    phineas "And then of course we naturally overpower them.  The Confederacy can crush them once and for all if it wants to, but we let them be."
    show sprite ashleyfrowning at posashley    
    ashley "We let them be because they are humans."
    hide sprite ashleyfrowning
    narrator "Another long pause, after which Ashley changes to the original subject."
    show sprite ashleyfrowning at posashley
    ashley "Bert, I hope you are not forcing your views down your daughter's throat.  She still has to graduate, you know."
    show sprite phineasnormal at posphineas    
    phineas "Hiraya is my best student.  Don't mess her up now, please.  Let her graduate first, then she can decide whether to follow this disillusionment of yours."
    show sprite bertresigned at posbert
    bert "She's...fine.  I don't talk like this to her."
    $ renpy.music.stop(fadeout=1.0)
    scene white
    show text "{color=#000000}Scene 9: Girl from Nowhere{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene philiphouse
    $ save_name = "Girl from Nowhere"
    play music("birdie_snip.ogg")
    narrator "An unlikely couple is sitting at a kitchen table."
    show sprite philipcool at posphilip
    philip "What did you do with my ''Total Entertainment Solution''?"
    show sprite mayumishy at posmayumi
    mayumi "Uh...I had to take it out, otherwise I wouldn't fit."
    show sprite philipcool at posphilip
    philip "Do you realize how much I paid for that system?"
    philip "It's got twelve channels of surround sound, legacy disk compatibility, and the largest projection display that has been built in the past few centuries!"
    show sprite mayumiserious at posmayumi
    mayumi "Is that all you care about?  I will be your wife!"
    show sprite philipavoid at posphilip
    philip "I didn't ask for one..."
    show sprite philipfriendly at posphilip
    philip "...Besides, I had just asked someone to be my girlfriend, and I have known her for far longer than I have known you."
    philip "You basically turned everything complicated, and I'm not quite sure how to respond to that."
    show sprite mayumiserious at posmayumi
    mayumi "A girlfriend, huh?  I never really seriously factored that in..."
    mayumi "So did she agree to go steady with you?"
    show sprite philipblushing at posphilip
    philip "...Not yet.  Well, I hope she will.  I just asked her, you know."
    show sprite mayumicheerful at posmayumi
    mayumi "Then call it off and marry me!  Thank goodness I wasn't too late."
    show sprite philipblushingfriendly at posphilip
    philip "H-Hey!"
    show sprite mayumicheerful at posmayumi
    mayumi "Come on, be logical.  You can choose to waste your energy pursuing someone who may likely say to you ''Let's just be friends!'', or..."
    show sprite mayumishy at posmayumi
    mayumi "You can shack up with someone who is willing to have your babies anytime."
    show sprite mayumicheerful at posmayumi
    mayumi "Oh my, it is a tough choice indeed!"
    hide sprite mayumicheerful
    narrator "Mayumi flirtatiously fetches another drink from the refrigerator."
    show sprite philipfriendly at posphilip
    philip "I admit you are pretty pleasant... if not a bit annoying... if I hadn't made any other plans I just might welcome this development."
    show sprite philipcool at posphilip
    philip "But I don't know you, who you are, where you came from, how you heard about me, and what drove you to come here!"
    show sprite mayumicheerful at posmayumi
    mayumi "My name's Mayumi Lee. I heard about this great Builder family by the name of Lucas, so I decided to marry into that family as that will guarantee my future."
    show sprite mayumishy at posmayumi
    mayumi "I read about your father, your siblings who are all accomplished.  I wasn't sure about the marital status of all of them, so decided to see for myself."
    show sprite mayumicheerful at posmayumi
    mayumi "And it's a good thing there's you still around..."
    show sprite mayumiserious at posmayumi
    mayumi "I might have signed up for one of them mail order bride things... but in this day and age if you need to get something done you have to do it yourself..."
    show sprite mayumicheerful at posmayumi
    mayumi "That is the middle-class way, the way of professionals!"
    show sprite philipcool at posphilip
    philip "In other words, I am but a convenience for you."
    show sprite mayumicheerful at posmayumi
    mayumi "Why not.  That's how marriages were for thousands of years."
    show sprite mayumiserious at posmayumi
    mayumi "And then in the twentieth century a relatively new nation called America popularized the notion of romantic love."
    mayumi "The idea where people marry based on their hearts instead of their heads seems good, but doesn't work for the most part."
    mayumi "Just look at how quickly the divorce rate skyrocketed, when romantic love was barely an idea a hundred years old!"
    show sprite philipfriendly at posphilip
    philip "You still haven't told me where you came from."
    hide sprite philipfriendly
    $ renpy.music.stop(fadeout=0.5)
    narrator "The sound of the living room door cuts their conversation short."
    show sprite philipcool at posphilip
    philip "Father is here..."
    hide sprite philipcool
    narrator "But as he turns, Phineas is already staring at Mayumi in a not-too-pleasant fashion."
    show sprite phineasangry at posphineas
    play music("uncert_snip.ogg")
    phineas "..."
    phineas "What are you doing here, Nomad?  Have you come to spy on us?"
    show sprite philipshocked at posphilip
    philip "Nomad?!  Mayumi, you..."
    show sprite mayumiserious at posmayumi
    mayumi "You're father's correct.  I had forgotten to remove this bangle from my right ankle."
    show sprite phineasangry at posphineas
    phineas "It's a traditional jewelry practice for their women.  Something we learned from the immigrants."
    show sprite philipavoid at posphilip
    philip "So that explains why you are not so eager to mention where you came from.  You don't really have any physical location you can call home."
    show sprite mayumiserious at posmayumi
    mayumi "I seek asylum.  I seek immigration.  Mr. Lucas, if you will..."
    show sprite phineasangry at posphineas
    phineas "Philip, how did she get here?"
    $ renpy.music.stop(fadeout=0.5)
    show sprite philipavoid at posphilip
    philip "You wouldn't believe it.  Mayumi packed herself into the crate that was to be my new ''Total Entertainment Solution''."
    show sprite philipblushing at posphilip
    $ renpy.music.play("birdie_snip.ogg", fadein=1.0)
    philip "As soon as she jumped out she declared she was to become my wife."
    hide sprite philipblushing
    narrator "At long last the tension in the room subsides and Phineas breaks out into a laugh."
    show sprite phineaslaugh at posphineas
    phineas "Insanity!  This has been the most amusing stowaway story I've heard in a long time!  Total Entertainment indeed!"
    show sprite philipblushing at posphilip
    philip "Hey, hey, hey!  Consider at whose expense though..."
    show sprite phineasnormal at posphineas
    phineas "Okay, let's get serious again.  It's been a long day for me, so we have to set things straight."
    phineas "We'll file Mayumi's immigration.  She can stay until she is adjusted, and who knows you might take a liking to her and you'd end up together after all."
    show sprite philipfriendly at posphilip
    philip "Oh come on!"
    show sprite phineaslaugh at posphineas
    phineas "It won't be the first Confederate-Nomad Immigrant successful union, isn't that right Mayumi?"
    show sprite mayumicheerful at posmayumi
    narrator "Mayumi grins her usual sheepish grin."
    mayumi "O~ Husband~ !  Lord Philip!"
    show sprite phineasangry at posphineas
    phineas "But!"
    hide sprite phineasangry
    narrator "Mayumi and Philip are taken aback."
    show sprite phineasnormal at posphineas
    phineas "To make sure you aren't a spy for the Nomads, you cannot leave this island."
    phineas "I will make sure to blacklist you from all ferries.  In addition, I will put stronger security in customs so you can't...ahem, pack yourself off again."
    show sprite mayumishy at posmayumi
    mayumi "So that means I can marry your son, correct?"
    show sprite phineaslaugh at posphineas
    phineas "You may very well be just what the doctor ordered."
    phineas "I didn't mature until I had my first child.  I think what Philip needs is a crash course in maturity through fatherhood."
    show sprite philipblushing at posphilip
    narrator "Philip looks away and starts to blush."
    scene white
    show text "{color=#000000}Scene 10: Daughter and Duty{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene hirayahouse
    $ save_name = "Daughter and Duty"
    narrator "Hiraya is busy solving a system of equations for a subsystem she designed for homework."
    show sprite hirayasadhappy at poshiraya
    hiraya "Philip, you should be concentrating on your future."
    hiraya "Now's not the time to get distracted with relationships... especially not with me."
    show sprite hirayadetermined at poshiraya
    hiraya "Yes, that's how I shall put it to him!"
    show sprite hirayasadhappy at poshiraya
    hiraya "But then again, we are graduating soon... this may be a new beginning for us..."
    hide sprite hirayasadhappy
    narrator "Hiraya couldn't continue the thought, so she jumps into bed and buries her head in a pillow."
    narrator "Someone knocks on the door."
    menu cmenu:
        "What should Hiraya do?"
        "Answer the door.":
            show sprite hirayahappy at poshiraya
            hiraya "Coming!"
            hide sprite hidehirayahappy
            narrator "It is Bert."
            show sprite bertnormal at posbert
            bert "How was your day?"
            show sprite hirayahappy at poshiraya
            hiraya "It was okay.  How was yours?"
            show sprite bertresigned at posbert
            bert "A little longer than I wanted."
            show sprite bertnormal at posbert
            bert "Anyway, I question I've been meaning to ask you.   Do you really want to become a Confederate Builder?"
            show sprite hirayasad at poshiraya
            hiraya "..."
            show sprite hirayasadhappy at poshiraya
            hiraya "Strange that you ask that now.  Isn't it obvious?  You're one, all my classmates are trying to become one."
            hiraya "I'm pretty good in my courses, so it's only natural, right?  Besides, what else is there for me to do?"
            show sprite bertresigned at posbert
            bert "Uh, okay.  I was thinking of maybe taking a break... heck, maybe even visiting some Nomads and trying their life again for a change..."
            show sprite hirayashocked at poshiraya
            hiraya "You can't be serious!"
            show sprite bertresigned at posbert
            bert "Ah, just for a few days, maybe even a week or two.  We'll see."
            show sprite hirayasadhappy at poshiraya
            hiraya "Have you talked to Chief Park about it?"
            show sprite bertnormal at posbert
            bert "Yes, Ashley knows what's going on in my brain."
            hide sprite bertnormal
            narrator "Bert seems to think by himself for a bit."
            show sprite bertnormal at posbert
            bert "Nevermind.  Study well, so you can do good in your Practicals.  It's important to have a secure future."
            show sprite hirayasadhappy at poshiraya
            hiraya "Sure."
            hide sprite hirayasadhappy
            narrator "Bert leaves the room, leaving Hiraya a bit worried."
            show sprite hirayasad at poshiraya
            hiraya "I haven't really thought about that... is this what I really want to do?"
            hide sprite hirayasad
            narrator "Bert pops in again."
            show sprite bertresigned at posbert
            bert "Oh, I just have a feeling... does Philip like you?"
            if (TogetherPhilip == True):
                show sprite hirayashockedblush at poshiraya
                hiraya "!!!"
                show sprite hirayablushing at poshiraya
                hiraya "...y-yes, I suppose so."
                show sprite bertresigned at posbert
                bert "Thought so."
                show sprite hirayablushing at poshiraya
                hiraya "..."
            else:
                show sprite hirayablushing at poshiraya
                hiraya "Well, he did try to confess to me once..."
                show sprite hirayasadhappy at poshiraya
                hiraya "But if I think about it, I don't recall any other times where he hinted he was attracted to me."
                show sprite bertnormal at posbert
                bert "Okay."
        "Indicate that she shouldn't be bothered since she's studying.":  
            $ HirayaExpertise += 1
            show sprite hirayadetermined at poshiraya
            hiraya "Dad, I'm busy concentrating.  I'll come out later."
            hide sprite hirayadetermined
            narrator "Bert answers behind the door."
            show sprite bertnormal at posbert
            bert "Okay.  I had wanted to chat with you, but it's not so important.  Good thing you're working on your problem sets."
            show sprite hirayasad at poshiraya
            hiraya "Hard work is all I know, fortunately or not."
            if (HirayaExpertise == 2):
                $ SuccessProject = True
    show sprite hirayadetermined at poshiraya
    hiraya "Well, back to work."
    scene white
    show text "{color=#000000}Scene 11: Encounters{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene vicinity
    $ save_name = "Encounters"
    narrator "The next day, Hiraya has some free time and decides to visit Philip at his house."
    narrator "On the way, she bumps into familiar faces."
    show sprite rohitcheerful at posrohit
    rohit "Hey, Hiraya!"
    show sprite hirayahappy at poshiraya
    hiraya "Oh, hi!  Fancy meeting you here."
    show sprite paulohappy at pospaulo
    paulo "We were just in town doing some shopping, since we don't have lectures today."
    show sprite hirayahappy at poshiraya
    hiraya "I don't have lectures today either."
    show sprite rohitcheerful at posrohit
    rohit "Say, do you have some free time?  We were going to the minimart to get something to eat."
    hide sprite rohitcheerful
    menu dmenu:
        "What should Hiraya say?"
        "I would love to go, but I have to be someplace, although I'm not expected.":
            show sprite hirayasadhappy at poshiraya
            hiraya "I would love to go, but I have to be someplace, although I'm not expected."
            show sprite rohitdepressed at posrohit
            rohit "Oh, what a shame."
            show sprite paulohappy at pospaulo
            paulo "See you next time, then."
            hide sprite paulohappy
        "Sure, why not?":  
            $ AppealToFanclub +=1
            show sprite hirayahappy at poshiraya
            hiraya "Sure, why not?"
            hide sprite hirayahappy
            narrator "So Hiraya tags along, and the trio ends up snacking at the minimart."
            show sprite rohitdepressed at posrohit
            rohit "That Professor Lucas is such a pain.  He just loves to humiliate his students.  And we, who need the most help, are the ones most ridiculed."
            show sprite pauloworried at pospaulo
            paulo "The Practicals are coming up, yikes."
            if (AppealToFanclub == 2):
                $ RohitPauloCameo = True
                show sprite paulohappy at pospaulo
                paulo "We are thankful for your helping and supporting us.  If we didn't have the top student by our side, we would have considered quitting."
                show sprite rohitcheerful at posrohit
                rohit "You're probably more skilled in us in every way, but we'd still like to help you out however we can."
            else:
                show sprite rohitdepressed at posrohit
                rohit "We sure could use some tutoring.  But I guess we will have to make do."
                hide sprite rohitdepressed
                narrator "Hiraya feels guilty for not considering the plight of her classmates, but feels it's too late now."
            show sprite hirayasad at poshiraya
            hiraya "..."
            show sprite paulohappy at pospaulo
            paulo "Gah!  Let's not be so serious!  We still have two weeks!"
            hide sprite paulohappy
            narrator "After they have finished their meal, Rohit turns to Hiraya."
            show sprite rohitcheerful at posrohit
            rohit "We still have time to kill.  Come, we'll walk you to wherever you're going."
            show sprite hirayahappy at poshiraya
            hiraya "No, it's okay.  I have to hurry.  Thanks, guys."
            show sprite rohitcheerful at posrohit
            rohit "Take care."
            hide sprite rohitcheerful
            narrator "Hiraya picks up her things and hurries towards Philip's house."
            show sprite rohitcheerful at posrohit
            rohit "And there she goes."
            hide sprite rohitcheerful
    $ renpy.music.stop(fadeout=0.5)
    play music("uncert_snip.ogg")
    if (AppealToFanclub >= 1):
        narrator "On the way to Philip's house, Hiraya sees Philip walking... followed by a pretty young woman with dazzling eyes."
        show sprite hirayasad at poshiraya
        hiraya "Now who could that be... I don't recall Philip having any younger sister, nor anyone who looks like that in this town."
    else:
        scene philiphouse with fade
        narrator "In front of Philip's house, Hiraya hears something unexpected... a young female voice!"
        narrator "Hiraya doesn't recall that Philip had any younger sisters."
        narrator "Suddenly the door opens and Philip steps out... followed by a pretty young woman with dazzling eyes."
    show sprite hirayashocked at poshiraya
    with Dissolve(1.0)
    narrator "A sense of horror besets the unfortunate witness."
    show sprite philipshocked at posphilip
    narrator "Philip's eyes meets the shocked eyes of Hiraya."
    if (RohitPauloCameo):       
        $ Ending = 1 #narrator "You have unlocked the path where Philip and Mayumi stays here together.  Bummer!"
    else:
        if (SuccessProject):
            $ Ending = 2 #narrator "You have unlocked the path where Philip and Mayumi get sent off in exile.  That's still sad!"
        else:
            if (TogetherPhilip):
                $ Ending = 3 #narrator "You have unlocked the path where Hiraya and Philip can be together.  Yay!"
            else:
                $ Ending = 0 #narrator "It turns out you didn't make the right decisions to unlock a True Path."
    scene white
    if (Ending == 0):
        show text "{color=#000000}Scene 12A: Indecision{/color}" with dissolve
        $ renpy.pause(0.5)
        hide text with Dissolve(1)
        scene vicinity
        $ save_name = "Indecision"
        narrator "Without any prompting, Hiraya turns and flees, despite calls from Philip."
        show sprite hirayasad at poshiraya
        hiraya "I don't care, Philip.  I just don't care.  I shouldn't care."
        hiraya "Even if you can explain the situation, I just won't listen."
        hiraya "I shouldn't blame it all on you, since I haven't really given you my full attention."
        show sprite hirayashocked at poshiraya
        hiraya "But how can you do this?  How dare you do this!  Didn't you just put yourself out on a limb to confess to me?  And now this!"
        show sprite hirayasad at poshiraya
        hiraya "Who is she, I don't care.  I don't want to care.  I didn't know what to feel, or even think."
        $ renpy.music.stop(fadeout=2.0)
        scene white
        show text "{color=#000000}0/3 Endings Achieved: Failed to Unlock True Paths{/color}" with dissolve
        $ renpy.pause(2.5)
        hide text with Dissolve(2)
        scene black
        show sprite rohitcheerful at posrohit
        rohit "Greetings, Player."
        show sprite paulohappy at pospaulo
        paulo "A clue, if you will, so you may advance to the second part of this game.  Pay careful attention to the wording of the choices."
        show sprite rohitcheerful at posrohit
        rohit "Make sure you have a consistent purpose in your decision for at least two of the questions.  There are only four questions after all, it shouldn't be too difficult."
        show sprite paulohappy at pospaulo
        paulo "And remember, small actions and inactions have huge consequences down the road."
        show sprite rohitcheerful at posrohit
        rohit "I hope you try again.  Good luck!"
        return
    show text "{color=#000000}Scene 12B: Confrontation{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene vicinity
    $ save_name = "Confrontation"
    narrator "Hiraya decides to find out exactly what's going on."
    show sprite hirayadetermined at poshiraya
    hiraya "...who is she?"
    show sprite mayumiserious at posmayumi
    mayumi "Oh, that must be the girl you confessed to..."
    hide sprite mayumiserious
    narrator "Philip raises a hand which silences Mayumi."
    show sprite philipfriendly at posphilip
    philip "Hiraya, I wasn't expecting you.  Um, this here is Mayumi Lee.  She just arrived yesterday."
    show sprite mayumicheerful at posmayumi
    mayumi "I am betrothed to Philip."
    hide sprite mayumicheerful
    narrator "Dead silence."
    show sprite hirayadetermined at poshiraya
    hiraya "..."
    hiraya "Let me get this straight.  Yesterday, you were confessing to me, and it seemed that you were serious about asking me to consider becoming your girlfriend."
    hiraya "And today, you have this girl whom I haven't even seen around this town claiming that she will be your wife."
    hiraya "Either I am lacking some critical information, or you were reserving me to be used as some sort of back-up woman in your life."
    hiraya "Now at this point, I am more concerned about your integrity as an individual than in any romantic feelings one of us may have towards the other."
    hiraya "This new development is so unbecoming of you that it even jeopardizes our more fundamental friendship."
    hide sprite hirayadetermined
    narrator "A bit to Hiraya's surprise, Philip doesn't interject, but lets her finish."
    show sprite hirayasad at poshiraya
    hiraya "My impression of you, throughout the years we've known each other, was that you were a nice, safe guy."
    hiraya "To think that women would run after you was furthest from my mind."
    show sprite philipavoid at posphilip
    philip "..."
    show sprite philipfriendly at posphilip
    philip "I'm trying to phrase things so that I'll be clear.  First off--"
    hide sprite philipfriendly
    narrator "Mayumi steps forward and cuts off Philip before he can finish his sentence."
    show sprite mayumiserious at posmayumi
    mayumi "Hiraya, I think I owe you an explanation, as it was primarily my idea to impose myself on Philip."
    mayumi "I better flat out lay all my cards at the table, so I can convince you that Philip has mostly nothing to do with this, other than his family being famous."
    mayumi "Now, I am a Nomad."
    show sprite hirayashocked at poshiraya
    narrator "Hiraya's eyes widens."
    show sprite mayumiserious at posmayumi
    mayumi "I am selfish, and I seek a better life.  The Confederacy provides that better life.  So I looked for a way to immigrate or otherwise seek asylum."
    mayumi "I was faced with two choices.  One was to arrive without any particular destination..."
    mayumi "...which would mean immediate questioning and most possible deportation."
    mayumi "The more logical choice was to seek individuals of influence whom I could appeal to.  I knew no one, so I scoured for any information whatsoever."
    mayumi "As it turns out, the Lucas family was responsible for the establishment of many townships."
    mayumi "And even if the current head, Phineas Lucas -- Philip's father, does not directly participate in administration, he still holds a position of influence."
    mayumi "So there were many articles in the border towns from which I obtained the address of the Lucas household."
    hide sprite mayumiserious
    narrator "Even Philip is surprised at this eloquence of a supposed Nomad."
    show sprite philipcool at posphilip
    philip "You must have spent a lot of time looking for things to read."
    show sprite mayumiserious at posmayumi
    mayumi "Coming from a society that values a more primitive lifestyle, I didn't have the opportunity to learn the mathematics nor the sciences."
    mayumi "While your society was in the process of reviving the dream of reaching the stars, I had more fundamental concerns..."
    mayumi "What do I eat for today?  How do I avoid getting raped by Confederate soldiers?"
    mayumi "So I really needed help.  I asked myself, how can I appeal to these people, the family Lucas?  What were my qualifications and assetts?"
    mayumi "I have beauty, but I will trade all of it to have brains."
    hide sprite mayumiserious
    narrator "Hiraya realizes that she never considered that Nomads would have a higher drive for survival."
    show sprite mayumiserious at posmayumi
    mayumi "I stowed myself away in a crate shipment, and that was how I was able to get to his house."
    mayumi "I talked with Philip and his father Phineas and proposed a most basic of business partnerships."
    mayumi "I marry into the family, I get to stay in this country.  A simple arrangement, no different from those conducted centuries before."
    show sprite hirayasad at poshiraya
    hiraya "A relationship of mutual convenience."
    show sprite mayumiserious at posmayumi
    mayumi "Exactly.  And to make the deal sweet, I mentioned that I happen to be an influencial person among the Nomads as well."
    show sprite hirayasad at poshiraya
    hiraya "So what was your answer, Philip?"
    hide sprite hirayasad
    narrator "The eyes of both girls fixate on Philip, intent on him not betraying any previous agreement they may have thought they had."
    $ renpy.music.stop(fadeout=1.0)
label jumppoint:
    scene white
    show text "{color=#000000}Scene 13: Practicals{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene machinery  
    show gears at RotoZoom(0, 360, 1, 1, 1, 1, rot_repeat=True, rot_anim_timebase=True, opaque=False, xalign=0.2, yalign=0.3)
    show gears2 at RotoZoom(0, 360, 1, 1, 1, 1, rot_repeat=True, rot_anim_timebase=True, opaque=False, xalign=0, yalign=0)
    $ renpy.music.play("vinrun_part2.ogg", fadein=1.0)
    $ save_name = "Practicals"
    narrator "Two weeks has passed."
    narrator "The practical exams for Builder qualification are underway."
    if (Ending == 1):
        narrator "Hiraya has spent as much of her time tutoring Paulo and Rohit as studying on her own."
        narrator "As she is working on the tests, she knows she could do better, but at any rate she is confident that she will still do very well."
        narrator "But something nags at her... the regret that perhaps she did not spend much time with Philip outside of lecture."
        narrator "And even during lecture, she and Philip were just amicable, but no more."
        narrator "Since the first encounter with Mayumi, Hiraya did not push the issue any longer."
    if (Ending == 2):
        narrator "Hiraya has spent most of her time prior to the exams studying on her own."
        narrator "As she is working on the tests, she is confident that she will come out at the top of her class."
        narrator "However, Hiraya regrets not being more helpful to her classmates.  She just knows that Paulo and Rohit will be struggling."
        narrator "Perhaps she could have taken just a little bit of time out of her schedule to help them out a little."
        narrator "As for Philip, they have grown apart since that first encounter with Mayumi.  Hiraya did not push the issue any longer, and besides, she was too busy studying."
    if (Ending == 3):
        narrator "Hiraya has spent much of her time prior to the exams in study sessions."
        narrator "Through the study sessions, she was able to help out Paulo and Rohit, while at the same time spend more time with Philip outside of lectures."
        narrator "It was the gang as it used to be, except now she feels an additional special something.  And she thinks Philip feels it as well."
        narrator "Hiraya is infused with happy thoughts as she takes her tests.  She may be a little distracted, but she is confident she will do well."
    scene white
    show text "{color=#000000}Scene 14: After Graduation{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene university
    $ save_name = "After Graduation"
    narrator "Bert and Hiraya are browsing tables at a job fair."
    show sprite bertnormal at posbert
    bert "How about this company, Hiraya?  They make desalination machines for the Confederacy.  You can't live without their fresh water."
    show sprite hirayadetermined at poshiraya
    hiraya "Hmmm.  No one here makes exciting products."
    show sprite bertmad at posbert
    bert "Exciting?  These beasts of burden work twenty four hours a day, seven days a week, to keep us all alive.  That's exciting in my book."
    show sprite hirayadetermined at poshiraya
    hiraya "How romantic."
    show sprite bertresigned at posbert
    bert "In any case, you graduated with flying colors, and I'll always be proud of you, whatever you choose to do."
    show sprite hirayasad at poshiraya
    hiraya "So you really are stepping down from your post as technical officer of Angelitas?"
    show sprite bertnormal at posbert
    bert "Yes.  I'd have to... get my bearings, so to speak.  But don't worry, we have savings and all.  If you want to create a start-up, I'll be behind you with funds."
    hide sprite bertnormal
    narrator "Bert and Hiraya seem to have finished their rounds, so they go outside."
    scene vicinity
    show signage at possignage
    with fade
    narrator "Lining the pathways to the convention center are peaceful protesters."
    hide signage
    show sprite hirayasad at poshiraya
    hiraya "Nomads..."
    hide sprite hirayasad
    narrator "Bert just stares at the protesters."
    show signage at possignage
    narrator "''You Confederate dogs!!!'', the protesters chanted, ''You will bring damnation to us all, you and your destructive technology!!''"
    hide signage
    show sprite ashleyfrowning at posashley
    ashley "Don't mind them, Bert."
    show sprite hirayasad at poshiraya
    hiraya "Chief Park..."
    hide sprite hirayasad
    narrator "Bert acknowledges Ashley's presence, but says no more."
    show sprite ashleysmiling at posashley
    ashley "Hiraya, I keep on telling you to just call me Ashley.  I am a good friend of your family after all."
    show sprite hirayasadhappy at poshiraya
    hiraya "Okay, Ashley."
    hide sprite hirayasadhappy
    narrator "Hiraya and Ashley smile at each other for a moment, trying to be oblivious to the protests."
    show sprite ashleynormal at posashley
    ashley "Well I was on my way inside to collect my recruitment results, but it seems you two are finished already."
    show sprite hirayahappy at poshiraya
    hiraya "Oh, I can stay for longer."
    show sprite bertresigned at posbert
    bert "You two go on ahead back inside.  I might linger longer, but I'll get going home.  See you later."
    show sprite ashleynormal at posashley
    ashley "Very well.  Come, Hiraya."
    scene white
    show text "{color=#000000}Scene 15: Revelations{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene university
    $ save_name = "Revelations"
    narrator "Once back inside the convention center, Ashley turns to Hiraya."
    show sprite ashleyfrowning at posashley
    ashley "I have something to tell you, but you must be ready to listen."
    show sprite ashleynormal at posashley
    ashley "If you want I can wait for you while you make another round of the exhibitors."
    ashley "It's almost closing time so you better make the time worthwhile."
    show sprite ashleyfrowning at posashley
    ashley "But come back here since it's really important."
label revelations:
    show sprite ashleyfrowning at posashley
    ashley "So Hiraya, will you listen now?"
    show sprite hirayasad at poshiraya
    menu emenu:
        "Hiraya..."
        "...is ready to listen now.":
            hiraya "Yes, what is it?"
            jump fathersecret
        "...will walk around first to get a load off her mind.":
            hiraya "Ashley, I need to think things through a bit."
            if (WalkAbout):
                show sprite ashleyfrowning at posashley
                ashley "But you already did, I think it's time you listen."
                jump revelations
            show sprite ashleynormal at posashley
            ashley "That's okay."
            hide sprite ashleynormal
            narrator "Hiraya wanders around inside halls of exhibitors, not really paying attention to the company displays."
            show sprite hirayasad at poshiraya
            hiraya "What is it, I wonder?"
            show sprite hirayashocked at poshiraya
            hiraya "It couldn't be that... I have turned a certain age, now I must inherit some kingdom or something... that would be absurd!"
            hide sprite hirayashocked
            narrator "The small crowds of people going to and from tables seem to follow a rythmic pattern."
            narrator "Hiraya notices this and tries to tune in and out of the humdrum of the background noise."
            show sprite hirayadetermined at poshiraya
            hiraya "What does ''to be successful'' mean?  To stand apart from this crowd?"
            show sprite hirayasadhappy at poshiraya
            hiraya "Everyone here is trying their best ''to be successful''."
            hide sprite hirayasadhappy
            narrator "Hiraya loses herself in the background, regains herself, and loses it once again, as if in meditation."
            narrator "After a while, Hiraya gets tired, and decides to learn what Ashley has to offer."
            $ WalkAbout = True
            jump revelations
label fathersecret:
    $ renpy.music.stop(fadeout=1.0)
    show sprite ashleyfrowning at posashley
    ashley "Tell me, Hiraya, how old is your father?"
    show sprite hirayasad at poshiraya
    hiraya "He is fifty-five years old."
    hide sprite hirayasad
    narrator "Ashley shakes her head."
    play music("uncert_snip.ogg")
    show sprite ashleyfrowning at posashley
    ashley "He is over five hundred years old."
    show sprite hirayashocked at poshiraya
    narrator "Hiraya is speechless."
    show sprite ashleyfrowning at posashley
    ashley "Bert is not of this generation.  He was one of the survivors from the previous era, back when there were still billions on this planet."
    ashley "He lived during a time before the great floods took out most inhabitants.  He placed himself in cold storage before the worst events happened."
    ashley "I was on site when we revived him, along with other frozen bodies."
    hide sprite ashleyfrowning
    narrator "Ashley pauses to let Hiraya absorb the information, then continues."
    show sprite ashleyfrowning at posashley
    ashley "We had few resources, so some of our scientists suggested to just get rid of the bodies from the previous era."
    ashley "You know what they said?  ''They were the cause of the destruction of earth, thus all their remnants must be totally wiped out.''"
    show sprite hirayasad at poshiraya
    hiraya "..."
    show sprite ashleyfrowning at posashley
    ashley "I fought hard to save their lives.  I said that they were specimens for research.  The records of the frozen survivors' previous existance were mostly destroyed,"
    ashley "so all we had were their persons and their memories.  It was a good thing most of them were scientists as well."
    ashley "So I convinced my colleagues that the knowledge these people held were valuable, especially their knowledge of astrophysics."
    hide sprite ashleyfrowning
    narrator "Ashley pauses and Hiraya doesn't know whether to bid her to continue or not."
    show sprite ashleyfrowning at posashley
    ashley "A question for you, how many times do you think humankind has been in space?"
    show sprite hirayasad at poshiraya
    hiraya "...um, once?  During 1969 A.D., I think."
    show sprite ashleyfrowning at posashley
    ashley "To the moon.  Mostly it was just in orbit around earth.  And only robotic probes were able to reach the farther solar system."
    ashley "But humankind has been to the moon much, much earlier.  Around 3,600 B.C."
    show sprite hirayashocked at poshiraya
    hiraya "Wow...that was...that was..."
    show sprite ashleyfrowning at posashley
    ashley "The time before the Biblical story of Noah.  Yes, the earth had a population of around ten billion back then as well."
    ashley "The world was united in a single empire, and at one point we believed they even had one world language."
    ashley "The moon then was in the process of being terraformed, as evidenced by the traces of liquid flows preserved on its surface."
    show sprite hirayasad at poshiraya
    hiraya "..."
    show sprite ashleyfrowning at posashley
    ashley "Yes, the question of, ''What happened?''"
    ashley "''God got angry and punished us, to keep us in our place, to keep us trapped on this small planet.''"
    ashley "That is what the Nomads say.  That we were never meant to venture out of our planet."
    ashley "This little planet of ours was to be our heaven and our hell for all of our existance."
    hide sprite ashleyfrowning
    narrator "Ashley clears her throat."
    show sprite ashleyfrowning at posashley
    ashley "Back to your father...  he used to be a ''starving scientist'', as one would call them...you know, physicists who drove taxis to make a living."
    ashley "What is amazing was that he recalled his previous life as if there was no disruption during his cold storage... as if he just slept, for a very long, long time."
    ashley "There was a problem though--sometimes he would recall something too painful."
    ashley "Memories which should have healed through time were somehow as vivid as if they were happening in the present.  We called them ''relapses.''"
    ashley "Relapses were the main obstacle to Bert's assimilation in this society.  He did try his best, though, and made sure to catch up on our literature."
    ashley "He even went to study the Nomads for a while."
    $ renpy.music.stop(fadeout=0.5)
    show sprite hirayasad at poshiraya
    hiraya "..."
    $ renpy.music.play("vinrun_part2.ogg", fadein=1.0)
    show sprite ashleynormal at posashley
    ashley "Bert's superb memory was one of the reasons we in the Confederacy have been able to achieve rapid technological progress these past couple of years."
    ashley "We were able to quickly restore to a technological state similar to his time period.  But this time we try not to make the same mistakes."
    ashley "We use renewable energy and natural materials as much as we can.  Plastics are outlawed except for special circumstances where the material is really necessary."
    ashley "We don't get everything perfect.  A lot of it is hodge-podge.  Like our fashion, for instance.  Still, it is better than the rags worn right after the great floods."
    ashley "The only major thing we lack now is a fully-realized space program, but we are getting there.  No one can keep us from the stars."
    ashley "All this was possible through your father, whom we just needed to inject with antidepressants every once in a while."
    ashley "Of course, there were others of his time like him, but he had the brightest mind and greatest recollection of them all."
    ashley "That is why I am not surprised to know that you are on the way to becoming an excellent Builder."
    scene white
    show text "{color=#000000}Scene 16: Destiny{/color}" with dissolve
    $ renpy.pause(0.5)
    hide text with Dissolve(1)
    scene port
    show shiftingwaves
    $ save_name = "Destiny"
    narrator "It is twilight as Hiraya and Ashley make their way from the convention center through the streets."
    narrator "The silence does not betray the myriad of thoughts passing through Hiraya's head."
    if (Ending == 1):
        show sprite paulohappy at pospaulo
        paulo "Hey, if it isn't..."
        show sprite rohitcheerful at posrohit
        rohit "Hi, Chief!  Hi, Hiraya!"
        show sprite ashleysmiling at posashley
        ashley "Hey."
        show sprite hirayahappy at poshiraya
        hiraya "Did you go to the job fair?"
        show sprite paulohappy at pospaulo
        paulo "Yep.  Been there much earlier.  It turns out we were underqualified for most of the positions being offered, but we did drop a couple of resumes."
        show sprite rohitcheerful at posrohit
        rohit "We have you to thank for helping us graduate, Hiraya.  We're not stellar by any means, but this is still an accomplishment."
        show sprite paulohappy at pospaulo
        paulo "If it weren't for your tutoring, we don't know where we would be right now."
        paulo "You realize that my family is pretty poor... we don't have connections, nor do we have funds for medicine, law, or business school."
        paulo "That is why engineering is probably the only affordable profession for us to rise through sheer hard work."
        show sprite hirayasadhappy at poshiraya
        narrator "Hiraya smiles humbly."
        show sprite rohitcheerful at posrohit
        rohit "I really enjoyed your tutoring sessions.  Too bad Philip wasn't around to join us so we could have had our complete gang."
        show sprite paulohappy at pospaulo
        paulo "Speaking of Philip, did you hear he is getting married?"
        show sprite ashleysmiling at posashley
        ashley "Oh, really?! What a surprise!"
        hide sprite ashleysmiling
        narrator "Hiraya only looks away."
        show sprite rohitcheerful at posrohit
        rohit "Philip is crazy.  I hear she's some girl he only met two weeks ago, and a Nomad too!"
        show sprite paulohappy at pospaulo
        paulo "But I heard that the professor approved the union!  Something must be fishy.  Chief, did professor mention anything about this?"
        show sprite ashleyfrowning at posashley
        ashley "Not to me."
        show sprite paulohappy at pospaulo
        paulo "I don't get it.  I mean, Philip could have picked someone more familiar... let's see... such as Hiraya!"
        hide sprite paulohappy
        narrator "Hiraya shook her head."
        show sprite rohitcheerful at posrohit
        rohit "Nah.  Philip may have his tastes but I go for older, stronger women, such as Chief.  Isn't that right, Chief?"
        show sprite ashleysmiling at posashley
        narrator "Ashley slaps Rohit playfully."
        hide sprite ashleysmiling
        narrator "A bit of laughing, a bit of silence, and then..."
        show sprite hirayasad at poshiraya
        hiraya "So when is the wedding?"
        show sprite paulohappy at pospaulo
        paulo "Next month.  After they finalize her immigration papers."
        show sprite hirayasad at poshiraya
        hiraya "Please excuse me."
        hide sprite hirayasad
        narrator "Hiraya runs away from the group towards a park overlooking the sunset."
        scene vicinity with fade
        show sprite hirayasad at poshiraya
        hiraya "Perhaps what makes a happy union are two very different persons instead of two of the same."
        scene philiphouse with dissolve
        show mayumishy2 at posmayumi2 with dissolve
        show philipblushingfriendly2 at posphilip2 with dissolve
        $ renpy.pause(0.5)
        hide mayumishy2 with dissolve
        hide philipblushingfriendly2 with dissolve
        scene vicinity
        show sprite hirayasad at poshiraya
        with dissolve
        hiraya "Perhaps a relationship of equals is less compatible than a relationship of dependence."
        hiraya "Are people really meant to pair up?  If so, then why am I so lonely?"
        hide sprite hirayasad
        narrator "Hiraya forces back tears as she lets the fading sunlight envelope her."
        show sprite hirayadetermined at poshiraya
        hiraya "I can only do better."
        hiraya "I am a Builder."
        hiraya "A Builder thinks not of herself, but only of civilization and its peoples."
        $ renpy.music.stop(fadeout=2.0)
        scene white
        show text "{color=#000000}Ending 1/3 Achieved: The Sacrificing Builder.{/color}" with dissolve
        $ renpy.pause(2.5)
        hide text with Dissolve(2)
        show text "{color=#000000}Thanks for playing!{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with Dissolve(2)
        return
    if (Ending == 2):
        show sprite paulohappy at pospaulo
        paulo "Hey, if it isn't..."
        show sprite rohitcheerful at posrohit
        rohit "Hi, Chief!  Hi, Hiraya!"
        show sprite ashleysmiling at posashley
        ashley "What's up?"
        show sprite hirayahappy at poshiraya
        hiraya "Did you go to the job fair?"
        show sprite pauloworried at pospaulo
        paulo "Yep.  Been there much earlier.  Total bummer.  We weren't qualified for anything."
        show sprite rohitdepressed at posrohit
        rohit "I hate this world.  I think I want to destroy it."
        show sprite ashleyfrowning at posashley
        ashley "Oh, come on!  After I built a lot of it up."
        show sprite rohitcheerful at posrohit
        rohit "Just kidding."
        hide sprite rohitcheerful
        narrator "No one is laughing."
        show sprite pauloworried at pospaulo
        paulo "Hey... hey... did you hear what happened to Philip?"
        show sprite hirayasad at poshiraya
        hiraya "What happened?"
        show sprite rohitdepressed at posrohit
        rohit "Apparently he left to live with the Nomads.  No wonder we haven't seen him at all lately.  I hear he even eloped with a Nomad girl who was visiting here."
        hide sprite rohitdepressed
        narrator "Hiraya is devastated."
        show sprite pauloworried at pospaulo
        paulo "Hiraya, are you alright?"
        show sprite hirayasad at poshiraya
        hiraya "...it's nothing.  But..."
        hiraya "What made him decide to leave the Confederacy?"
        show sprite rohitdepressed at posrohit
        rohit "This I heard from the professor, so don't quote me on it.  Basically Philip said that he couldn't stand the high-driven atmosphere..." 
        rohit "...the vibes given off by his father, as well as some girl who was starting to piss him off."
        show sprite hirayashocked at poshiraya
        hiraya "Some girl who was starting to piss him off?"
        show sprite rohitdepressed at posrohit
        rohit "I don't know who he could be referring to, but apparently someone with a singletrack mind who only cared about grades."
        hide sprite rohitdepressed
        narrator "Hiraya feels stabbed, but at the same time she hopes no one else in the group gets the clue."
        show sprite pauloworried at pospaulo
        paulo "Hmmm... so maybe his new Nomad girl convinced him of the follies of the Confederacy?"
        show sprite rohitdepressed at posrohit
        rohit "Oh I think the problem was more fundamental.  The girl just helped bring it out."
        show sprite hirayasad at poshiraya
        hiraya "Please excuse me."
        hide sprite hirayasad
        narrator "Hiraya runs away from the group towards a park overlooking the sunset."
        scene vicinity with fade
        show sprite hirayasad at poshiraya
        hiraya "I became a machine."
        hiraya "In so doing, I lost my human touch."
        scene port with dissolve
        show rohitcheerful2 at posrohit2 with dissolve
        show paulohappy2 at pospaulo2 with dissolve
        $ renpy.pause(0.3)
        hide rohitcheerful2 with dissolve
        hide paulohappy2 with dissolve
        scene vicinity with dissolve
        show mayumicheerful2 at posmayumi2 with dissolve
        show philipfriendly2 at posphilip2 with dissolve
        $ renpy.pause(0.3)
        hide mayumicheerful2 with dissolve
        hide philipfriendly2 with dissolve
        scene vicinity
        show sprite hirayasad at poshiraya
        with dissolve        
        hiraya "By myself I am successful.  But I have failed Rohit and Paulo.  And I have failed Philip."
        hide sprite hirayasad
        narrator "Hiraya forces back tears as she lets the fading sunlight envelope her."
        show sprite hirayasad at poshiraya
        hiraya "I can only work like a machine."
        hiraya "I will be the best Builder there is."
        hiraya "And I will be alone."
        $ renpy.music.stop(fadeout=2.0)
        scene white
        show text "{color=#000000}Ending 2/3 Achieved: The Lone Builder.{/color}" with dissolve
        $ renpy.pause(2.5)
        hide text with Dissolve(2)
        show text "{color=#000000}Thanks for playing!{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with Dissolve(2)
        return
    if (Ending == 3):
        show sprite philipcool at posphilip
        philip "Hiraya!"
        hide sprite philipcool
        narrator "Hiraya looks up to see Philip running towards her."
        show sprite hirayasadhappy at poshiraya
        hiraya "What happened?"
        show sprite philipcool at posphilip
        philip "Well, we settled it.  Mayumi agreed to latch onto another influential family for a change.  She's now pestering the Cruz family sons."
        show sprite hirayahappy at poshiraya
        narrator "Hiraya giggles."
        show sprite philipfriendly at posphilip
        narrator "Philip cannot help but beam at her."
        show sprite hirayahappy at poshiraya
        hiraya "So what did your father have to say?"
        show sprite philipcool at posphilip
        philip "He took the hint."
        show sprite hirayasadhappy at poshiraya
        hiraya "The hint?"
        show sprite philipcool at posphilip
        philip "That I was aiming for you."
        show sprite hirayablushing at poshiraya
        narrator "Hiraya blushes furiously."
        show sprite philipcool at posphilip
        philip "And I have you to thank.  I wasn't clear how I was to be received, but the clues you gave were loud and clear."
        philip "Even our study sessions became fun.  I mean study sessions are usually fun with Rohit and Paulo around..."
        philip "But these past two weeks have been wonderful, knowing that you were accommodating to me."
        show sprite ashleysmiling at posashley
        ashley "Ohohoho!"
        hide sprite ashleysmiling
        narrator "The couple is startled, having forgotten about a third person in their presence."
        show sprite philipfriendly at posphilip
        philip "Oh, Chief, hello!  Sorry I didn't notice you."
        show sprite ashleysmiling at posashley
        ashley "A Chief is known by the things she builds, not by her presence, so do not worry."
        show sprite philipcool at posphilip
        philip "So were you able to drop my resumes for me?"
        show sprite hirayahappyblushing at poshiraya
        hiraya "Yup.  One of the first things I did."
        show sprite philipblushing at posphilip
        philip "Thanks, I owe you one."
        show sprite hirayahappy at poshiraya
        hiraya "To be honest, I didn't really like the atmosphere in the job fair too much.  It felt a bit life-draining."
        show sprite ashleysmiling at posashley
        ashley "Tell me about it.  I have to attend those things all the time."
        show sprite philipfriendly at posphilip
        philip "So, what shall we do now?"
        show sprite hirayahappy at poshiraya
        hiraya "How about something geeky?  Hmmm... build a go-kart?  Launch some rockets?  Program a game engine?"
        show sprite philipblushingfriendly at posphilip
        philip "How about something less geeky for a change..."
        show sprite hirayashockedblush at poshiraya
        narrator "Hiraya is pulled close into a warm embrace and a gentle pressure on her lips."
        show sprite ashleysmiling at posashley
        ashley "A-Alright!  I will now turn to face this direction, yes.  I will do that."
        show sprite hirayablushing at poshiraya
        hiraya "Previously I have only known you as a friend."
        hiraya "I am glad I listened to your heart, and mine."
        hiraya "This is just the start of our romance."
        hiraya "I can do my best, because I am happy."
        hiraya "I will be a competent Builder, together with you."
        hiraya "I know I am not alone."
        hide sprite hirayablushing
        narrator "Hiraya and Philip race to watch the sun set into the ocean."
        show sprite hirayahappyblushing at poshiraya
        hiraya "Beautiful sunset, is it not?"
        show sprite philipblushing at posphilip
        narrator "Philip is watching anything but the sunset." 
        philip "Y-Yes... beautiful..."
        $ renpy.music.stop(fadeout=2.0)        
        scene white
        show text "{color=#000000}Ending 3/3 Achieved: The Builder in Love.{/color}" with dissolve
        $ renpy.pause(2.5)
        hide text with Dissolve(2)
        show text "{color=#000000}Thanks for playing!{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with Dissolve(2)
        return



    



    
    
    
    
    
    
    
    

    
    
    
    
